# Programmeerhulpmiddel

Ian
Reinhart
Geiser

     geiseri@kde.org

2006-06-01
K Desktop Environment
makekdewidgets
1

# makekdewidgets

Bouwt &Qt;-widget-plugins vanuit een bestand in ini-stijl.

    makekdewidgets &Qt;-opties &kde;-opties bestand

## Beschrijving

`makekdewidgets` bouwt &Qt;-widget-plugins vanuit een bestand in ini-stijl.

## Opties

### Argumenten:

bestand

  Invoerbestand

### Opties:

`-o <bestand>`

  Uitvoerbestand

`-n <plugin-naam>`

  Naam van de te genereren plugin-klasse [WidgetsPlugin]

`-g <groep>`

  Standaardnaam voor de widget-groep in de designer [Custom]

`-p <pixmap-dir>`

  Bed pixmaps in vanuit een bronmap

### Algemene opties:

`--help`

  Hulp over de opties tonen

`--help-qt`

  &Qt;-specifieke opties tonen.

`--help-kde`

  &kde;-specifieke opties tonen

`--help-all`

  Alle opties tonen

`--author`

  Auteurinformatie tonen

`-v, --version`

  Versie-informatie tonen

`--license`

  Licentie-informatie tonen

### &kde;-opties:

`--caption <titel>`

  'caption' als naam in de titelbalk gebruiken

`--icon <pictogram>`

  'icon' als toepassings-pictogram gebruiken

`--miniicon <icon>`

  'icon' als toepassings-pictogram gebruiken

`--config <bestandsnaam>`

  Alternatief configuratiebestand gebruiken

`--dcopserver <server>`

  Gebruik de &DCOP;-server gespecificeerd door 'server'

`--nocrashhandler`

  Schakel de 'crashafhandeling' uit om 'core-dumps' te verkrijgen.

`--waitforwm`

  Wacht op een WM_NET-compatible windowmanager

`--style <stijl>`

  Stelt de &GUI;-stijl van de applicatie in

`--geometry <geometrie>`

  sstelt de clientafmeting van de hoofdwidget in - zie de manpagina's van X voor de argumentopmaak

### &Qt;-opties:

`--display <schermnaam>`

  Gebruik de X-serverdisplay 'displayname'

`--session <sessie-id>`

  De toepassing herstellen voor de gegeven 'sessionId'

`--cmap`

  Zorgt ervoor dat de toepassing een privé-kleurenschema op een 8-bit scherm gebruikt.

`--ncols <aantal>`

  Beperkt het aantal toegekende kleuren in de kleurkubus op een 8-bit scherm, als de applicatie de kleurspecificatie QApplication::ManyColor gebruikt

`--nograb`

  Vertelt &Qt; dat deze nooit de muis of toetsenbord mag overnemen

`--sync`

  Gaat over naar de synchrone modus voor het debuggen

`--fn, --font <lettertypenaam>`

  Het toepassingslettertype instellen

`--bg, --background <kleur>`

  Stelt de standaard achtergrondkleur in en een toepassingspalet (lichte en donkere tinten worden berekend)

`--fg, --foreground <kleur>`

  De standaard voorgrondkleur instellen

`--btn, --button <kleur>`

  De standaard knopkleur instellen

`--name <naam>`

  Bepaalt de naam van de toepassing

`--title <titel>`

  Bepaalt de titel van de toepassing (titelbalk)

`--visual TrueColor`

  Dwingt de toepassing om een TrueColor uiterlijk op een 8-bits scherm te gebruiken.

`--inputstyle <invoerstijl>`

  Stelt de XIM (X Input Method)-invoermethode in. Mogelijke waarden zijn "onthespot", "overthespot", "offthespot" en "root" (zonder aanhalingstekens).

`--im <XIM-server>`

  Stelt de XIM-server in

`--noxim`

  XIM uitschakelen

`--reverse`

  Spiegelt de hele opmaak van widgets

## Zie ook

`http://developer.kde.org`

  De website met de &kde; ontwikkelaarshoek

## Fouten/bugs

Gaarne bugs.kde.org gebruiken om bugrapporten in te dienen, stuur geen e-mail direct naar de auteurs.